$blue:    #007bff !default;
$indigo:  #6610f2 !default;
$purple:  #6f42c1 !default;
$pink:    #e83e8c !default;
$red:     #dc3545 !default;
$orange:  #fd7e14 !default;
$yellow:  #ffc107 !default;
$green:   #28a745 !default;
$teal:    #20c997 !default;
$cyan:    #17a2b8 !default;
$white:    #fff !default;
$gray-600: #444;
$gray-800: #111;

$colors: () !default;
$colors: map-merge(
  (
    "blue":       $blue,
    "indigo":     $indigo,
    "purple":     $purple,
    "pink":       $pink,
    "red":        $red,
    "orange":     $orange,
    "yellow":     $yellow,
    "green":      $green,
    "teal":       $teal,
    "cyan":       $cyan,
    "white":      $white,
    "gray":       $gray-600,
    "gray-dark":  $gray-800
  ),
  $colors
);
$border-color: #ccc;
$primary:                   #2a3f7b;
$secondary:                 #ee3526;
$link-hover-decoration:     none;
$link-color:                $primary;
$link-hover-color:          $secondary;
$body-bg:                   #fff;
$body-color:                #110809;
$navbar-light-color:        $body-color;
$navbar-light-hover-color:  $link-color;
$navbar-light-active-color: $link-color;
$navbar-nav-link-padding-x: 0;
$navbar-padding-y:          0;
$navbar-padding-x:          0;
$navbar-brand-padding-y:    0;
$nav-link-padding-y:        13px;
$nav-link-padding-x:        17px;
$font-family-base:          'Roboto', sans-serif;
$line-height-base:          1.714285714285714;
$headings-font-family:      $font-family-base;
$headings-font-weight:      700;
$font-size-base:              14px;
$font-size-sm:                13px;
$h1-font-size:                30px;
$h2-font-size:                24px;
$h3-font-size:                20px;
$h4-font-size:                18px;
$h5-font-size:                16px;
$h6-font-size:                14px;
$border-radius:               999px;
$small-font-size:             13px;

$input-color:                 $body-color;
$input-height:                36px;
$input-height-lg:             40px;
$input-padding-y:             0px;
$input-padding-x:             20px;
$input-padding-y-lg:          13px;
$input-padding-x-lg:          24px;
$input-line-height:           24px;
$input-box-shadow:            none;
$input-border-radius:         $border-radius;
$input-border-radius-lg:      20px;
$input-border-color:          #cdcdcd;
$input-box-shadow:            none;
$input-focus-box-shadow:      none;
$input-focus-border-color:    $primary;
$input-font-size:             $font-size-base;
$input-font-size-lg:          $font-size-base;

$btn-padding-y-sm:            0px;
$btn-padding-x-sm:            29px;
$btn-font-size-sm:            $h5-font-size;
$btn-line-height-sm:          38px;
$btn-line-height:             35px;
$btn-font-weight:             700;
$btn-font-size:               $h5-font-size;
$btn-padding-y:               0px;
$btn-padding-x:               30px;
$btn-focus-box-shadow:        none;
$btn-active-box-shadow:       none;
$btn-padding-y-lg:            0px;
$btn-padding-x-lg:            44px;
$btn-font-size-lg:            19px;
$btn-line-height-lg:          52px;
$btn-border-radius-lg:        $btn-line-height-lg;
$btn-border-radius-sm:        $btn-line-height-sm;
$btn-border-radius:           $btn-line-height;

$caret-width:                 0.4rem;

$breadcrumb-bg:               none;
$breadcrumb-padding-y:        0;
$breadcrumb-padding-x:        0;
$breadcrumb-margin-bottom:    20px;
$breadcrumb-active-color:     #636363;
$breadcrumb-divider:          quote("\f054");

$dropdown-color:              $body-color;
$dropdown-border-width:       1px;
$dropdown-item-padding-y:     2px;
$dropdown-item-padding-x:     17px;
$dropdown-link-color:         $body-color;
$dropdown-link-hover-color:   $primary;
$dropdown-link-active-color:  $primary;
$dropdown-link-hover-bg:      transparent;
$dropdown-link-active-bg:     transparent;
$dropdown-min-width:          100%;
$dropdown-padding-y:          0;
$dropdown-spacer:             5px;
$dropdown-border-color:       #d8d9db;
$dropdown-border-radius:      0;
$dropdown-inner-border-radius:$border-radius;
$dropdown-box-shadow:         none;
$dropdown-font-size:          $font-size-base;

$navbar-toggler-padding-y:    7px;
$navbar-toggler-padding-x:    15px;
$navbar-toggler-font-size:    20px;
$navbar-toggler-border-radius:8px;

$modal-header-padding:        0;
$modal-inner-padding:         0.5rem;
$modal-header-border-width:   0;
$modal-footer-border-width:   0;
$modal-md:                    688px;
$modal-lg:                    1200px;
$modal-content-inner-border-radius:        0;
$modal-content-border-radius: 0;
$modal-dialog-margin-y-sm-up: 235px;

$grid-gutter-width:           30px;
$form-group-margin-bottom:    17px;

$card-border-color:           #c7c7c7;
$card-border-radius:          $border-radius;
$card-spacer-x:               20px;
$card-spacer-y:               15px;
$card-cap-bg:                 transparent;

$nav-tabs-border-width:       0;
$nav-tabs-link-active-color:  $secondary;
$nav-tabs-link-active-bg:     transparent;
$nav-tabs-link-active-border-color:     transparent;

$pagination-color:            #000;
$pagination-line-height:      26px;
$pagination-bg:               transparent;
$pagination-padding-y:        0;
$pagination-padding-x:        8px;
$pagination-border-color:     #e1e1e1;
$pagination-hover-border-color:     $secondary;
$pagination-hover-color:            #fff;
$pagination-hover-bg:               $secondary;
$pagination-focus-outline:     none;
$pagination-focus-box-shadow:  none;
$pagination-active-color:      #fff;
$pagination-active-bg:         $secondary;
$pagination-active-border-color:   $secondary;
$pagination-border-radius-sm:   50%;
$pagination-border-radius-lg:   50%;


$spacer:                       25px;
$table-color:                  #a0a0a0;
$table-cell-padding:           12px;
$table-head-color:             #e8e8e8;
$table-th-font-weight:         400;

$form-text-margin-top:         0;

//custom
$input-placeholder-color:      #9f9f9f;

:root {
  --margin-bottom-box:            70px;
  --product-info-top:             80px;
  --product-cart-bottom:          85px;
  --comment-form-box:             40px;
  --benefit-box:                  40px;
  --customer-conversant-doc:      30px;
}

@media all and (max-width: 1440px){
  :root {

  }
}

@media all and (max-width: 1199px){
  :root {
    --product-info-top :          60px;
    --height-send-box:            230px;
    --product-cart-bottom:        60px;
    --height-send-box-1:          320px;
  }
}

@media all and (max-width: 992px){
  :root {
    --customer-conversant-doc:    20px;
  }
}

@media all and (max-width: 576px){
  :root {
    --margin-bottom-box:        40px;
    --height-send-box-1:        360px;
  }
}

$social: (
  'facebook': #3b5998,
  'twiter': #00acee,
  'google': #dd4b39,
  'youtube': #c4302b,
  'instagram': #3f729b,
);
